import { Controller, DefaultValuePipe, Delete, Get, Param, ParseIntPipe, Post, Query } from '@nestjs/common';
import { MachinesService } from 'apps/backend/src/app/machines/machines.service';

@Controller('machines')
export class MachinesController {
  constructor(private readonly machineService: MachinesService) {}

  @Get()
  async findMany(
    @Query("limit", new DefaultValuePipe(20), ParseIntPipe) limit: number,
    @Query("offset", new DefaultValuePipe(0), ParseIntPipe) offset: number,
    @Query("search", new DefaultValuePipe("")) search: string
  ) {
    const query = {limit, offset, search}

  }

  @Post("new")
  async newMachine() {

  }

  @Delete(":machineId")
  async deleteGroup(@Param('machineId') machineId: string) {

  }

  @Get(":groupId")
  async getForGroup(
    @Query("limit", new DefaultValuePipe(20), ParseIntPipe) limit: number,
    @Query("offset", new DefaultValuePipe(0), ParseIntPipe) offset: number,
    @Query("search", new DefaultValuePipe("")) search: string,
    @Param('machineId') machineId: string
  ) {
    const query = {limit, offset, search}

  }
}
